//PROFILE-NO
{$A-,W-,I-}
UNIT DebugInterface;

INTERFACE

TYPE
  TMinorChannels  = Array[1..9] OF Text;
VAR
  DBChannels : TMinorChannels;

CONST

{$IFDEF WIN64 }
  db_dll = 'DebugDel64.DLL';
{$ELSE }
  db_dll = 'DebugDel32.DLL';
{$ENDIF }

PROCEDURE OpenDebugChannels( VAR SC : Text; VAR MC : TMinorChannels); EXTERNAL db_dll;
PROCEDURE CloseDebugChannels( VAR SC : Text; VAR MC : TMinorChannels); EXTERNAL db_dll;
PROCEDURE OpenAuxDebugOutput( VAR AuxOutput : Text; ChannelNo : Integer); EXTERNAL db_dll;
PROCEDURE CloseAuxDebugOutput(VAR AuxOutput : Text ); EXTERNAL db_dll;
{$IFDEF WIN64 }
  PROCEDURE DBDelphiVersion64Bit; EXTERNAL db_dll;
{$ENDIF }

IMPLEMENTATION

INITIALIZATION
  OpenDebugChannels(output, DBChannels);
FINALIZATION
  CloseDebugChannels(output, DBChannels);
END.
